GET V1/Payments.{ext}/BillPaymentFSDetails?fsID={fsID}&pfDate={pfDate}&companyId={companyId}&pageIndex={pageIndex}&pageSize={pageSize}

Get All the Funding Statements which are available for Payments
Mandatory Fields : fsID,pfDate,companyId
Optional Fields : N/A

Request Information

URI Parameters

NameDescriptionTypeAdditional information
fsID

Funding Statement Id

string

Required

pfDate

Funding Statement Payment file date

date

Required

companyId

Funding Statement Company Id

integer

Required

pageIndex

Page Index

integer

Default value is 0

pageSize

Page Size

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.Payments.Entities.BillPaymentFSDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.BillPaymentFSDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "BillPaymentFSDetails",
  "response": {
    "billPaymentFSList": [
      {
        "productName": "sample string 1",
        "clientName": "sample string 2",
        "fsName": "sample string 3",
        "currencyCode": "sample string 4",
        "fsFundDate": "2026-06-01T15:22:08.3286412-04:00",
        "fsTransactions": 5,
        "totalTransactionsIncludedFs": 6,
        "totalIncludedAmount": 7.0,
        "totalBalanceAmount": 8.0,
        "totalAmount": 9.0,
        "status": "sample string 10",
        "dueDate": "2026-06-01T15:22:08.3286412-04:00",
        "settlementDate": "2026-06-01T15:22:08.3286412-04:00",
        "payByAmount": 13.0,
        "deliveryMethod": "sample string 14",
        "transactionId": "sample string 15",
        "accountNumber": "sample string 16",
        "fsVendorName": "sample string 17",
        "vendorName": "sample string 18",
        "paymentMethod": "sample string 19",
        "remitCode": "sample string 20",
        "documentId": "sample string 21",
        "partOfConsolidatePayment": "sample string 22",
        "paymentType": "sample string 23",
        "fsid": "sample string 24"
      },
      {
        "productName": "sample string 1",
        "clientName": "sample string 2",
        "fsName": "sample string 3",
        "currencyCode": "sample string 4",
        "fsFundDate": "2026-06-01T15:22:08.3286412-04:00",
        "fsTransactions": 5,
        "totalTransactionsIncludedFs": 6,
        "totalIncludedAmount": 7.0,
        "totalBalanceAmount": 8.0,
        "totalAmount": 9.0,
        "status": "sample string 10",
        "dueDate": "2026-06-01T15:22:08.3286412-04:00",
        "settlementDate": "2026-06-01T15:22:08.3286412-04:00",
        "payByAmount": 13.0,
        "deliveryMethod": "sample string 14",
        "transactionId": "sample string 15",
        "accountNumber": "sample string 16",
        "fsVendorName": "sample string 17",
        "vendorName": "sample string 18",
        "paymentMethod": "sample string 19",
        "remitCode": "sample string 20",
        "documentId": "sample string 21",
        "partOfConsolidatePayment": "sample string 22",
        "paymentType": "sample string 23",
        "fsid": "sample string 24"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.